> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/webhooks-and-notifications/notifications.md).

# Notifications

## POST /api/Public/Notifications/SendBulkCompletion

> Send bulk completion

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Notifications"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.BulkCompletionRequest":{"type":"object","properties":{"jobId":{"type":"string","nullable":true},"subscriberId":{"type":"integer","format":"int64"},"parentId":{"type":"integer","format":"int64"},"menuId":{"type":"integer","format":"int32"},"status":{"type":"string","nullable":true},"totalRows":{"type":"integer","format":"int32"},"succeeded":{"type":"integer","format":"int32"},"failed":{"type":"integer","format":"int32"},"skipped":{"type":"integer","format":"int32"},"startedAt":{"type":"string","format":"date-time","nullable":true},"finishedAt":{"type":"string","format":"date-time","nullable":true},"reportUrl":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Notifications/SendBulkCompletion":{"post":{"tags":["Notifications"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.BulkCompletionRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Send bulk completion","operationId":"post_Notifications_SendBulkCompletion"}}}}
```

## POST /api/Public/Notifications/test-push

> Test push

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"Notifications"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.TestPushRequest":{"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"workflowId":{"type":"integer","format":"int64"},"title":{"type":"string","nullable":true},"body":{"type":"string","nullable":true},"tokens":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/Notifications/test-push":{"post":{"tags":["Notifications"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.TestPushRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Test push","operationId":"post_Notifications_test_push"}}}}
```
